std::equal_to< lomiri::util::ResourcePtr< R, D > > Struct Template Reference

Function object for equality comparison. More...

`#include <lomiri/util/ResourcePtr.h>`

## Public Member Functions

bool | operator() (lomiri::util::ResourcePtr< R, D > const &lhs, lomiri::util::ResourcePtr< R, D > const &rhs) const

## Detailed Description

### template<typename R, typename D>
struct std::equal_to< lomiri::util::ResourcePtr< R, D > >

Function object for equality comparison.

## Member Function Documentation

## operator()()

template<typename R , typename D >

bool std::equal_to< lomiri::util::ResourcePtr< R, D > >::operator() | ( | lomiri::util::ResourcePtr< R, D > const & | lhs,
|  | lomiri::util::ResourcePtr< R, D > const & | rhs
| ) |  | const

inline

Invokes `operator==` on `lhs`.

The documentation for this struct was generated from the following file:

- include/lomiri/util/ResourcePtr.h